package com.shanghaichengdi.ghjgitem.config;

import com.baomidou.mybatisplus.extension.incrementer.OracleKeyGenerator;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@MapperScan("com.shanghaichengdi.ghjgitem.mapper")//设置mapper接口的扫描包
public class MybatisPlusConfig {

  /**
   * 分页插件
   */
  @Bean
  public PaginationInterceptor paginationInterceptor() {
    PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
    //分页单页最大条数，默认500
    paginationInterceptor.setLimit(1000);
    return paginationInterceptor;
  }

  /**
   * 序列生成器
   */
  @Bean
  public OracleKeyGenerator oracleKeyGenerator() {
    return new OracleKeyGenerator();
  }
}