package com.shanghaichengdi.ghjgitem.mapper;

import com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantAcceptF;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantWarningS;
import com.shanghaichengdi.ghjgitem.vo.BoatReportVo;
import com.shanghaichengdi.ghjgitem.vo.PollutanWarningInfoVo;
import com.shanghaichengdi.ghjgitem.vo.PollutantAcceptVo;
import com.shanghaichengdi.ghjgitem.vo.request.PollutantWarningInfoReq;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @author 14390
 * @description 针对表【BOAT_WATER_POLLUTANT_ACCEPT_F】的数据库操作Mapper
 * @createDate 2024-06-18 11:48:43
 * @Entity com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantAcceptF
 */
public interface BoatWaterPollutantAcceptFMapper extends BaseMapper<BoatWaterPollutantAcceptF> {

  List<PollutantAcceptVo> selectBoatWaterList(@Param("tableNameList") List<String> tableNameList,
      @Param("boatName") String boatName,
      @Param("pollutantType") String pollutantType, @Param("mmsi") String mmsi,
      @Param("source") String source);

  List<PollutanWarningInfoVo> selectWarningInfoList(PollutantWarningInfoReq queryParam);

  List<PollutanWarningInfoVo> selectWarningHisInfoList(PollutantWarningInfoReq queryParam);

  List<PollutanWarningInfoVo> selectWarningInfoListByDate(PollutantWarningInfoReq queryParam);

  List<BoatWaterPollutantAcceptF> selectBoatWaterListSync(
      @Param("tableNameList") List<String> tableNameList,
      @Param("boatName") String boatName,
      @Param("pollutantType") String pollutantType, @Param("mmsi") String mmsi,
      @Param("source") String source, @Param("startTime") String startTime,
      @Param("endTime") String endTime);

  List<BoatWaterPollutantWarningS> selectWarningInfoListSync(PollutantWarningInfoReq queryParam);

  String getPollutantWarningByCode(@Param("warningCode") String warningCode);

  List<BoatReportVo> getBoatReportByWarningCode(@Param("reportCode") String reportCode);
}




