package com.shanghaichengdi.ghjgitem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.SysGroup;
import com.shanghaichengdi.ghjgitem.mapper.SysGroupMapper;
import com.shanghaichengdi.ghjgitem.service.SysGroupService;
import com.shanghaichengdi.ghjgitem.vo.SysGroupVo;
import com.shanghaichengdi.ghjgitem.vo.request.SysGroupReq;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author 14390
 * @description 针对表【SYS_GROUP(组织机构基础信息表（从综合业务平台同步的组织机构信息）)】的数据库操作Service实现
 * @createDate 2024-06-06 09:37:46
 */
@Service
public class SysGroupServiceImpl extends ServiceImpl<SysGroupMapper, SysGroup>
    implements SysGroupService {

  @Resource
  private SysGroupMapper mapper;


  @Override
  public List<SysGroupVo> selectGroupInfo(SysGroupReq sysGroup) {
    PageHelper.startPage(sysGroup.getPageIndex(), sysGroup.getPageSize());
    return mapper.selectGroupInfo(sysGroup);
  }
}




