package com.shanghaichengdi.ghjgitem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.SysUser;
import com.shanghaichengdi.ghjgitem.service.SysUserService;
import com.shanghaichengdi.ghjgitem.mapper.SysUserMapper;
import com.shanghaichengdi.ghjgitem.vo.SyInspectedManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SyInspectManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SysUserReq;
import com.shanghaichengdi.ghjgitem.vo.SysUserVo;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author 14390
 * @description 针对表【SYS_USER(用户基础信息表（从综合业务平台同步的用户信息）)】的数据库操作Service实现
 * @createDate 2024-05-28 10:16:45
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser>
    implements SysUserService {

  @Resource
  private SysUserMapper mapper;

  @Override
  public List<SysUserVo> selectUserInfo(SysUserReq sysUser) {
    PageHelper.startPage(sysUser.getPageIndex(), sysUser.getPageSize());
    return mapper.selectUserInfo(sysUser);
  }

  @Override
  public List<SyInspectedManageUserVo> selectInspectedManagerUser(SyInspectManageUserVo syInspectManageUserVo) {
    PageHelper.startPage(syInspectManageUserVo.getPageIndex(), syInspectManageUserVo.getPageSize());
    return mapper.selectInspectedManagerUser(syInspectManageUserVo);
  }
}




