package com.shanghaichengdi.ghjgitem.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 船舶基础资料_船舶基本信息
 */
@Data
public class ShipDataVo implements Serializable {

  /**
   * 船舶登记号
   */
  private String shipRegNo;

  /**
   * 船舶识别号
   */
  private String shipId;

  /**
   * 中文船名
   */
  private String shipNameCn;

  /**
   * 英文船名
   */
  private String shipNameEn;

  /**
   * IMO编号
   */
  private String shipImo;

  /**
   * MMSI编号
   */
  private String mmsi;

  /**
   * 船籍港代码
   */
  private String regportCode;

  /**
   * 航线代码
   */
  private String shipRouteCode;

  /**
   * 船舶种类代码
   */
  private String shipTypeCode;

  /**
   * 夏季满载吃水
   */
  private BigDecimal shipSummerDraft;

  /**
   * 核定抗风等级
   */
  private String shipWindLevel;

  /**
   * 最小干舷
   */
  private BigDecimal shipMinimumFreeboard;

  /**
   * 箱位
   */
  private Long shipContainerNum;

  /**
   * 车位
   */
  private Long shipParkingNum;

  /**
   * 客位
   */
  private Long shipPassengerNum;

  /**
   * 备注
   */
  private String remark;

  /**
   * 船检登记号
   */
  private String shipInspectNo;

  /**
   * 船舶呼号
   */
  private String shipCallsign;

  /**
   * 航区代码
   */
  private String sailingareaCode;

  /**
   * 建成日期
   */
  private Date shipBuiltDate;

  /**
   * 造船厂名称
   */
  private String shipyardCn;

  /**
   * 造船地点
   */
  private String shipBuiltAddrCn;

  /**
   * 船舶总长
   */
  private BigDecimal shipLength;

  /**
   * 型宽
   */
  private BigDecimal shipBreadth;

  /**
   * 型深
   */
  private BigDecimal shipDepth;

  /**
   * 总吨
   */
  private BigDecimal shipGrosston;

  /**
   * 净吨
   */
  private BigDecimal shipNetton;

  /**
   * 参考载重吨
   */
  private String shipDwt;

  /**
   * 主机功率
   */
  private BigDecimal shipEnginePower;

  /**
   * 海船内河船标志
   */
  private String shipRegionType;

  /**
   * 改建日期
   */
  private Date shipRebuiltDate;

  /**
   * 机构代码
   */
  private String orgCode;

  /**
   * 创建时间
   */
  private Date createTime;
  /**
   * 最后更新日期
   */
  private Date lastUpdateDate;

  /**
   * 删除标志1是0否
   */
  private String deleteFlag;
  /**
   * 船舶所有人地址
   */
  private String shipOwnerAddrCn;

  /**
   * 船舶所有人
   */
  private String ownerLegalPerson;

  /**
   * 船舶所有人联系电话
   */
  private String ownerContactPhone;

  /**
   * 船舶类型名称
   */
  private String shipTypeName;

  /**
   * 船籍港名称
   */
  private String regportName;

  /**
   * 航线名称
   */
  private String shipRouteName;

  /**
   * 运行状态
   */
  private String shipState;

  /**
   * 方向
   */
  private BigDecimal direction;

  /**
   * 船速
   */
  private BigDecimal velocity;

  /**
   * 纬度
   */
  private BigDecimal latitude;
  /**
   * 经度
   */
  private BigDecimal longtitude;
  /**
   * 目的地
   */
  private String destination;
  /**
   * 预计到达时间
   */
  private Date expectTime;

  private static final long serialVersionUID = 1L;
}