package com.shanghaichengdi.ghjgitem.vo;

import lombok.Data;

@Data

public class SmsSendVo {
    /**
     * 手机号码，多个号码不能由重复，如发送内容由多条，手机号码数必须和内容数一致
     * 示例值：["13817488888","13817499999"]
     * 必填
     */
    private String[] phoneNumbers;

    /**
     * 短信内容，单条内容不得超过500字，短信内容超过70字会被拆分成多条，已长短信格式发送，计费多条
     * 示例值：["【上海市港航中心】您的验证码是123456"]
     * 必填
     */
    private String[] msgContents;

    /**
     * 扩展码，用户定义扩展码
     * 示例值：1122
     * 非必填
     */
    private Long extendNo;

    /**
     * 用户自定义msgId。不填时，平台侧生成，同响应参数msgId
     * 示例值：1080993599983616
     * 非必填
     */
    private String msgId;

}
